org.appng.core.domain

## Class PlatformEvent

- java.lang.Object
- - org.appng.core.domain.PlatformEvent

-     @Entity
      public class PlatformEvent
      extends Object

  A platform event.
  Author:
    Matthias Müller

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PlatformEvent.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlatformEvent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getApplication()`
    `String` | `getContext()`
    `Date` | `getCreated()`
    `String` | `getEvent()`
    `String` | `getHostName()`
    `Integer` | `getId()`
    `String` | `getOrigin()`
    `String` | `getRequestId()`
    `String` | `getSessionId()`
    `PlatformEvent.Type` | `getType()`
    `String` | `getUser()`
    `void` | `setApplication(String application)`
    `void` | `setContext(String context)`
    `void` | `setCreated(Date created)`
    `void` | `setEvent(String event)`
    `void` | `setHostName(String hostName)`
    `void` | `setId(Integer id)`
    `void` | `setOrigin(String origin)`
    `void` | `setRequestId(String requestId)`
    `void` | `setSessionId(String sessionId)`
    `void` | `setType(PlatformEvent.Type type)`
    `void` | `setUser(String user)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PlatformEvent

          public PlatformEvent()

  - ### Method Detail

    - #### getId

          public Integer getId()

    - #### setId

          public void setId(Integer id)

    - #### getCreated

          public Date getCreated()

    - #### setCreated

          public void setCreated(Date created)

    - #### getUser

          public String getUser()

    - #### setUser

          public void setUser(String user)

    - #### getEvent

          public String getEvent()

    - #### setEvent

          public void setEvent(String event)

    - #### getApplication

          public String getApplication()

    - #### setApplication

          public void setApplication(String application)

    - #### getContext

          public String getContext()

    - #### setContext

          public void setContext(String context)

    - #### getOrigin

          public String getOrigin()

    - #### setOrigin

          public void setOrigin(String origin)

    - #### getHostName

          public String getHostName()

    - #### setHostName

          public void setHostName(String hostName)

    - #### getType

          public PlatformEvent.Type getType()

    - #### setType

          public void setType(PlatformEvent.Type type)

    - #### getRequestId

          public String getRequestId()

    - #### setRequestId

          public void setRequestId(String requestId)

    - #### getSessionId

          public String getSessionId()

    - #### setSessionId

          public void setSessionId(String sessionId)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.